package asm

// Address represents a memory address.
type Address = uint32

// Pointer stores a relative memory address that we can later turn into an absolute one.
// Position: The machine code offset where the address was inserted.
// Address:  The offset inside the section.
type Pointer struct {
	Position uint32
	Address  uint32
}
